require 'test_helper'

class IgradesControllerTest < ActionController::TestCase
  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:igrades)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create igrade" do
    assert_difference('Igrade.count') do
      post :create, :igrade => { }
    end

    assert_redirected_to igrade_path(assigns(:igrade))
  end

  test "should show igrade" do
    get :show, :id => igrades(:one).to_param
    assert_response :success
  end

  test "should get edit" do
    get :edit, :id => igrades(:one).to_param
    assert_response :success
  end

  test "should update igrade" do
    put :update, :id => igrades(:one).to_param, :igrade => { }
    assert_redirected_to igrade_path(assigns(:igrade))
  end

  test "should destroy igrade" do
    assert_difference('Igrade.count', -1) do
      delete :destroy, :id => igrades(:one).to_param
    end

    assert_redirected_to igrades_path
  end
end
